post
/v9/storage/virtual-servers/{virtualServerId}/filesystems/audit-log-cache
Set file system audit log cache file for a virtual server.
Note: Accepted parameter values may be restricted based on the virtual server access granted by the API key used for authentication.
Path parameters
virtualServerId
required
Either the virtual server ID or the object ID of the virtual server
Either the virtual server ID or the object ID of the virtual server
CLIENT REQUEST
curl -X 'POST'
-H "X-Subsystem-User: [[apiKey]]"
\
-H "X-Subsystem-Password: [[apiKey]]"
\
-H "X-Api-Key: [[apiKey]]"
\
-H "Authorization: Basic [[basicHash]]"
\
-H
'Accept: application/json'
-H
'Content-Type: application/json'
'https://172.27.146.40:8444/v9/storage/virtual-servers/{virtualServerId}/filesystems/audit-log-cache'
-d
''
import http.client
conn = http.client.HTTPSConnection("172.27.146.40:8444")
payload = "{\"filesystemId\":\"7B263DFD1D71E65A0000000000000000\",\"logFileName\":\"/.audit/events.evt\",\"logFileSize\":524288}"
headers = {
'Authorization': "Basic REPLACE_BASIC_AUTH",
'content-type': "application/json"
}
conn.request("POST", "/v9/storage/virtual-servers/1/filesystems/audit-log-cache", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://172.27.146.40:8444/v9/storage/virtual-servers/1/filesystems/audit-log-cache")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic REPLACE_BASIC_AUTH'
request["content-type"] = 'application/json'
request.body = "{\"filesystemId\":\"7B263DFD1D71E65A0000000000000000\",\"logFileName\":\"/.audit/events.evt\",\"logFileSize\":524288}"
response = http.request(request)
puts response.read_bodyconst data = JSON.stringify({
"filesystemId": "7B263DFD1D71E65A0000000000000000",
"logFileName": "/.audit/events.evt",
"logFileSize": 524288
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("POST", "https://172.27.146.40:8444/v9/storage/virtual-servers/1/filesystems/audit-log-cache");
xhr.setRequestHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);HttpResponse<String> response = Unirest.post("https://172.27.146.40:8444/v9/storage/virtual-servers/1/filesystems/audit-log-cache")
.header("Authorization", "Basic REPLACE_BASIC_AUTH")
.header("content-type", "application/json")
.body("{\"filesystemId\":\"7B263DFD1D71E65A0000000000000000\",\"logFileName\":\"/.audit/events.evt\",\"logFileSize\":524288}")
.asString();import Foundation
let headers = [
"Authorization": "Basic REPLACE_BASIC_AUTH",
"content-type": "application/json"
]
let parameters = [
"filesystemId": "7B263DFD1D71E65A0000000000000000",
"logFileName": "/.audit/events.evt",
"logFileSize": 524288
] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://172.27.146.40:8444/v9/storage/virtual-servers/1/filesystems/audit-log-cache")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8444",
CURLOPT_URL => "https://172.27.146.40:8444/v9/storage/virtual-servers/1/filesystems/audit-log-cache",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\"filesystemId\":\"7B263DFD1D71E65A0000000000000000\",\"logFileName\":\"/.audit/events.evt\",\"logFileSize\":524288}",
CURLOPT_HTTPHEADER => [
"Authorization: Basic REPLACE_BASIC_AUTH",
"content-type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_URL, "https://172.27.146.40:8444/v9/storage/virtual-servers/1/filesystems/audit-log-cache");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Basic REPLACE_BASIC_AUTH");
headers = curl_slist_append(headers, "content-type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"filesystemId\":\"7B263DFD1D71E65A0000000000000000\",\"logFileName\":\"/.audit/events.evt\",\"logFileSize\":524288}");
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://172.27.146.40:8444/v9/storage/virtual-servers/1/filesystems/audit-log-cache");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
request.AddHeader("content-type", "application/json");
request.AddParameter("application/json", "{\"filesystemId\":\"7B263DFD1D71E65A0000000000000000\",\"logFileName\":\"/.audit/events.evt\",\"logFileSize\":524288}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);Body parameters
required
filesystemIdstring
logFileNamestring
logFileSizeintegerint32
application/json
filesystemIdstringEither the file system ID or the object ID of the file system
Either the file system ID or the object ID of the file system
Example:
"7B263DFD1D71E65A0000000000000000"logFileNamestringName of the auditing log file. Must start with a / and have the extension .evt
Name of the auditing log file. Must start with a / and have the extension .evt
Example:
"/.audit/events.evt"logFileSizeintegerint32Maximum size that the log file can grow to, in bytes - maximum 50MB
Maximum size that the log file can grow to, in bytes - maximum 50MB
Example:
524288REQUEST
{
"filesystemId": "7B263DFD1D71E65A0000000000000000",
"logFileName": "/.audit/events.evt",
"logFileSize": 524288
}Responses